Public Member Functions | Public Attributes | List of all members
libqxp::Text Struct Reference

`#include <QXPTypes.h>`

## Public Member Functions
double | maxFontSize () const
double | maxFontSize (const ParagraphSpec &paragraph) const
| Text ()
| Text (const Text &other)=default
Text & | operator= (const Text &other)=default

## Public Attributes
std::string | text
const char * | encoding
std::vector< ParagraphSpec > | paragraphs
std::vector< CharFormatSpec > | charFormats

## Constructor & Destructor Documentation

## ◆ Text() [1/2]

libqxp::Text::Text | ( |  | ) |
| inline

## ◆ Text() [2/2]

libqxp::Text::Text | ( | const Text & | other | ) |
| default

## Member Function Documentation

## ◆ maxFontSize() [1/2]

double libqxp::Text::maxFontSize | ( |  | ) | const

## ◆ maxFontSize() [2/2]

double libqxp::Text::maxFontSize | ( | const ParagraphSpec & | paragraph | ) | const

## ◆ operator=()

Text & libqxp::Text::operator= | ( | const Text & | other | ) |
| default

## Member Data Documentation

## ◆ charFormats

std::vector<CharFormatSpec> libqxp::Text::charFormats

Referenced by maxFontSize(), and maxFontSize().

## ◆ encoding

const char* libqxp::Text::encoding

## ◆ paragraphs

std::vector<ParagraphSpec> libqxp::Text::paragraphs

## ◆ text

std::string libqxp::Text::text

The documentation for this struct was generated from the following files:

- QXPTypes.h
- QXPTypes.cpp